## openlibm 0.4+dfsg

=== Makefile ===
OPENLIBM_HOME=$(abspath .)
include ./Make.inc

SUBDIRS = src $(ARCH) bsdsrc
ifneq ($(ARCH), arm)
SUBDIRS += ld80
endif

define INC_template
TEST=test
override CUR_SRCS = $(1)_SRCS
include $(1)/Make.files
SRCS += $$(addprefix $(1)/,$$($(1)_SRCS))
endef

DIR=test

$(foreach dir,$(SUBDIRS),$(eval $(call INC_template,$(dir))))

DUPLICATE_NAMES = $(filter $(patsubst %.S,%,$($(ARCH)_SRCS)),$(patsubst %.c,%,$(src_SRCS)))
DUPLICATE_SRCS = $(addsuffix .c,$(DUPLICATE_NAMES))

OBJS =  $(patsubst %.f,%.f.o,\
	$(patsubst %.S,%.S.o,\
	$(patsubst %.c,%.c.o,$(filter-out $(addprefix src/,$(DUPLICATE_SRCS)),$(SRCS)))))

all: libopenlibm.a libopenlibm.$(SHLIB_EXT) 
	$(MAKE) -C test
libopenlibm.a: $(OBJS)  
	$(AR) -rcs libopenlibm.a $(OBJS)
libopenlibm.$(SHLIB_EXT): $(OBJS)
ifeq ($(OS),WINNT)
	$(CC) -shared $(OBJS) $(LDFLAGS) -Wl,$(SONAME_FLAG),libopenlibm.$(SHLIB_EXT) -o libopenlibm.$(SHLIB_EXT)
else
	$(CC) -shared $(OBJS) $(LDFLAGS) -Wl,$(SONAME_FLAG),libopenlibm.$(SHLIB_EXT).$(SOMAJOR) -o libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR)
	@-ln -sf libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenlibm.$(SHLIB_EXT).$(SOMAJOR)
	@-ln -sf libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenlibm.$(SHLIB_EXT)
endif

clean:
	@for dir in $(SUBDIRS) .; do \
		rm -fr $$dir/*.o $$dir/*.a $$dir/*.$(SHLIB_EXT)*; \
	done

distclean:
	-rm -f $(OBJS) *.a *.$(SHLIB_EXT) libopenlibm.*
	-$(MAKE) -C test clean

openlibm.pc: openlibm.pc.in Make.inc Makefile
	echo "prefix=${prefix}" > openlibm.pc
	echo "version=${VERSION}" >> openlibm.pc
	cat openlibm.pc.in >> openlibm.pc

install: all openlibm.pc
	mkdir -p $(DESTDIR)$(shlibdir)
	mkdir -p $(DESTDIR)$(libdir)/pkgconfig
	mkdir -p $(DESTDIR)$(includedir)/openlibm
	cp -a libopenlibm.$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
	cp -a libopenlibm.a $(DESTDIR)$(libdir)/
	cp -a src/openlibm.h $(DESTDIR)$(includedir)/
	cp -a openlibm.pc $(DESTDIR)$(libdir)/pkgconfig/
ifneq ($(wildcard $(ARCH)/bsd_asm.h),)
	cp -a $(ARCH)/bsd_asm.h $(DESTDIR)$(includedir)/openlibm/
endif
ifneq ($(wildcard $(ARCH)/bsd_cdefs.h),)
	cp -a $(ARCH)/bsd_cdefs.h $(DESTDIR)$(includedir)/openlibm/
endif

=== debian/changelog ===
openlibm (0.4+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4+dfsg
  * fix-soname.patch, i386.patch: remove patches, applied upstream.
  * Bump SONAME, shared lib package now libopenlibm1.
  * Ship pkg-config file.
  * No longer mark libopenlibm-dev as M-A:same. (Closes: #755213)
  * Execute tests at build time.
    Two new patches needed: test-tolerance.patch, exp-fpstack.patch.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 29 Jul 2014 10:30:03 +0000

openlibm (0.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #751378)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Jul 2014 14:22:14 +0200

=== debian/control ===
Source: openlibm
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), dh-exec
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/JuliaLang/openlibm
Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git

Package: libopenlibm1
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: standalone implementation of C mathematical functions (shared library)
 OpenLibm is an effort to have a high quality, portable, standalone libm
 implementation, under a liberal free software license. It can be used
 standalone in applications and programming language implementations.
 .
 The project was born out of a need to have a good libm for the Julia
 programming language that worked consistently across compilers and operating
 systems, and in 32-bit and 64-bit environments.
 .
 This package contains a shared version of the library.

Package: libopenlibm-dev
Section: libdevel
Architecture: amd64 i386
Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
Description: standalone implementation of C mathematical functions (development files)
 OpenLibm is an effort to have a high quality, portable, standalone libm
 implementation, under a liberal free software license. It can be used
 standalone in applications and programming language implementations.
 .
 The project was born out of a need to have a good libm for the Julia
 programming language that worked consistently across compilers and operating
 systems, and in 32-bit and 64-bit environments.
 .
 This package contains the development files needed to compile software using
 openlibm.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_test:
	test/test-float
	test/test-double

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openlibm-$1\.tar\.gz/,uversionmangle=s/$/+dfsg/ \
  https://github.com/JuliaLang/openlibm/tags .*/v?(\d\S*)\.tar\.gz

## openlibm 0.4.1+dfsg

=== debian/changelog ===
openlibm (0.4.1+dfsg-1build1) wily; urgency=medium

  * Try to build everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 13:49:43 +0200

openlibm (0.4.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.1+dfsg
  * Fix debian/watch for dfsg suffix mangling.
  * d/p/test-tolerance.patch: drop patch, applied upstream.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 14:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
 Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git
 
 Package: libopenlibm1
-Architecture: amd64 i386
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -27,7 +27,7 @@
 
 Package: libopenlibm-dev
 Section: libdevel
-Architecture: amd64 i386
+Architecture: any
 Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm

## openlibm 0.5.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
-Vcs-Git: git://anonscm.debian.org/pkg-julia/openlibm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openlibm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openlibm.git
 
-Package: libopenlibm1
+Package: libopenlibm2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -28,7 +28,7 @@
 Package: libopenlibm-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libopenlibm1 (= ${binary:Version})
+Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openlibm-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/JuliaLang/openlibm/tags .*/v?(\d\S*)\.tar\.gz

## openlibm 0.5.0+dfsg

=== Makefile ===
OPENLIBM_HOME=$(abspath .)
include ./Make.inc

SUBDIRS = src $(ARCH) bsdsrc
ifneq ($(ARCH), arm)
ifneq ($(ARCH), powerpc)
SUBDIRS += ld80
endif
endif

define INC_template
TEST=test
override CUR_SRCS = $(1)_SRCS
include $(1)/Make.files
SRCS += $$(addprefix $(1)/,$$($(1)_SRCS))
endef

DIR=test

$(foreach dir,$(SUBDIRS),$(eval $(call INC_template,$(dir))))

DUPLICATE_NAMES = $(filter $(patsubst %.S,%,$($(ARCH)_SRCS)),$(patsubst %.c,%,$(src_SRCS)))
DUPLICATE_SRCS = $(addsuffix .c,$(DUPLICATE_NAMES))

OBJS =  $(patsubst %.f,%.f.o,\
	$(patsubst %.S,%.S.o,\
	$(patsubst %.c,%.c.o,$(filter-out $(addprefix src/,$(DUPLICATE_SRCS)),$(SRCS)))))

.PHONY: all check test clean distclean install

all: libopenlibm.a libopenlibm.$(SHLIB_EXT)

check test: test/test-double test/test-float
	test/test-double
	test/test-float

libopenlibm.a: $(OBJS)
	$(AR) -rcs libopenlibm.a $(OBJS)

libopenlibm.$(SHLIB_EXT): $(OBJS)
ifeq ($(OS),WINNT)
	$(CC) -shared $(OBJS) $(LDFLAGS) $(LDFLAGS_add) -Wl,$(SONAME_FLAG),libopenlibm.$(SHLIB_EXT) -o libopenlibm.$(SHLIB_EXT)
else
	$(CC) -shared $(OBJS) $(LDFLAGS) $(LDFLAGS_add) -Wl,$(SONAME_FLAG),libopenlibm.$(SHLIB_EXT).$(SOMAJOR) -o libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR)
	ln -sf libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenlibm.$(SHLIB_EXT).$(SOMAJOR)
	ln -sf libopenlibm.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenlibm.$(SHLIB_EXT)
endif

test/test-double: libopenlibm.$(SHLIB_EXT)
	$(MAKE) -C test test-double

test/test-float: libopenlibm.$(SHLIB_EXT)
	$(MAKE) -C test test-float

clean:
	rm -f amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld128/*.o ld80/*.o src/*.o
	rm -f libopenlibm.a libopenlibm.$(SHLIB_EXT)*
	$(MAKE) -C test clean

openlibm.pc: openlibm.pc.in Make.inc Makefile
	echo "prefix=${prefix}" > openlibm.pc
	echo "version=${VERSION}" >> openlibm.pc
	cat openlibm.pc.in >> openlibm.pc

install: all openlibm.pc
	mkdir -p $(DESTDIR)$(shlibdir)
	mkdir -p $(DESTDIR)$(pkgconfigdir)
	mkdir -p $(DESTDIR)$(includedir)/openlibm
	cp -f -a libopenlibm.$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/

=== debian/changelog ===
openlibm (0.5.0+dfsg-2) unstable; urgency=medium

  * Update debian/libopenlibm2.symbols, add ppc64 and i386.
  * Fix building tests on GNU/kFreeBSD and GNU/Hurd.
  * Fix missing buildflags, enable optimization again for *int.c and *intf.c.

 -- Graham Inggs <ginggs@debian.org>  Wed, 06 Apr 2016 22:32:26 +0200

openlibm (0.5.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Sébastien Villemot from Uploaders.

  [ Graham Inggs ]
  * New upstream release
    - PowerPC support (Closes: #818173)
  * Drop all patches included upstream.
  * Update debian/rules, tests now run in dh_auto_test.
  * Update debian/libopenlibm2.symbols, add armhf, powerpc and ppc64el.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no further changes.
  * Update debian/copyright.

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 Mar 2016 17:37:11 +0200

openlibm (0.4.1+dfsg-4) unstable; urgency=medium

  * Fix unresolved symbol __fpgetprec in libopenlibm.so.1.0 on i386.
  * Do not explicitly link libm to work around issue with
    'ld ... invalid version 26898 (max 0)' in some julia i386 builds.

 -- Graham Inggs <ginggs@debian.org>  Fri, 13 Nov 2015 12:54:29 +0200

openlibm (0.4.1+dfsg-3) unstable; urgency=medium

  * Build on GNU/kFreeBSD and GNU/Hurd.
  * Update debian/libopenlibm1.symbols.

 -- Graham Inggs <ginggs@debian.org>  Tue, 27 Oct 2015 11:14:31 +0200

openlibm (0.4.1+dfsg-2) unstable; urgency=medium

  * Add myself to uploaders.
  * Build everywhere.
  * Fix missing buildflags.
  * Explicitly link libm to fix underlinking.

 -- Graham Inggs <ginggs@debian.org>  Mon, 26 Oct 2015 05:47:15 +0200

## openlibm 0.5.1+dfsg

=== Makefile ===
OPENLIBM_HOME=$(abspath .)
include ./Make.inc

SUBDIRS = src $(ARCH) bsdsrc
ifneq ($(ARCH), arm)
ifneq ($(ARCH), powerpc)
SUBDIRS += ld80
endif
endif

define INC_template
TEST=test
override CUR_SRCS = $(1)_SRCS
include $(1)/Make.files
SRCS += $$(addprefix $(1)/,$$($(1)_SRCS))
endef

DIR=test

$(foreach dir,$(SUBDIRS),$(eval $(call INC_template,$(dir))))

DUPLICATE_NAMES = $(filter $(patsubst %.S,%,$($(ARCH)_SRCS)),$(patsubst %.c,%,$(src_SRCS)))
DUPLICATE_SRCS = $(addsuffix .c,$(DUPLICATE_NAMES))

OBJS =  $(patsubst %.f,%.f.o,\
	$(patsubst %.S,%.S.o,\
	$(patsubst %.c,%.c.o,$(filter-out $(addprefix src/,$(DUPLICATE_SRCS)),$(SRCS)))))

# If we're on windows, don't do versioned shared libraries.  If we're on OSX,
# put the version number before the .dylib.  Otherwise, put it after.
ifeq ($(OS), WINNT)
OLM_MAJOR_MINOR_SHLIB_EXT := $(SHLIB_EXT)
else
ifeq ($(OS), Darwin)
OLM_MAJOR_MINOR_SHLIB_EXT := $(SOMAJOR).$(SOMINOR).$(SHLIB_EXT)
OLM_MAJOR_SHLIB_EXT := $(SOMAJOR).$(SHLIB_EXT)
else
OLM_MAJOR_MINOR_SHLIB_EXT := $(SHLIB_EXT).$(SOMAJOR).$(SOMINOR)
OLM_MAJOR_SHLIB_EXT := $(SHLIB_EXT).$(SOMAJOR)
endif
endif

.PHONY: all check test clean distclean install

all: libopenlibm.a libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)

check test: test/test-double test/test-float
	test/test-double
	test/test-float

libopenlibm.a: $(OBJS)
	$(AR) -rcs libopenlibm.a $(OBJS)

libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT): $(OBJS)
	$(CC) -shared $(OBJS) $(LDFLAGS) $(LDFLAGS_add) -Wl,$(SONAME_FLAG),libopenlibm.$(OLM_MAJOR_SHLIB_EXT) -o $@
ifneq ($(OS),WINNT)
	ln -sf $@ libopenlibm.$(OLM_MAJOR_SHLIB_EXT)
	ln -sf $@ libopenlibm.$(SHLIB_EXT)
endif

test/test-double: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
	$(MAKE) -C test test-double

test/test-float: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
	$(MAKE) -C test test-float

clean:
	rm -f amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld128/*.o ld80/*.o src/*.o
	rm -f libopenlibm.a libopenlibm.*$(SHLIB_EXT)*
	$(MAKE) -C test clean

openlibm.pc: openlibm.pc.in Make.inc Makefile
	echo "prefix=${prefix}" > openlibm.pc
	echo "version=${VERSION}" >> openlibm.pc
	cat openlibm.pc.in >> openlibm.pc

install: all openlibm.pc
	mkdir -p $(DESTDIR)$(shlibdir)
	mkdir -p $(DESTDIR)$(pkgconfigdir)
	mkdir -p $(DESTDIR)$(includedir)/openlibm
	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/

## openlibm 0.5.4%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openlibm-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/JuliaLang/openlibm/tags .*/v?(\d\S*)\.tar\.gz

## openlibm 0.5.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,12 @@
 	$(patsubst %.S,%.S.o,\
 	$(patsubst %.c,%.c.o,$(filter-out $(addprefix src/,$(DUPLICATE_SRCS)),$(SRCS)))))
 
-# If we're on windows, don't do versioned shared libraries.  If we're on OSX,
-# put the version number before the .dylib.  Otherwise, put it after.
+# If we're on windows, don't do versioned shared libraries. Also, generate an import library
+# for the DLL. If we're on OSX, put the version number before the .dylib.  Otherwise,
+# put it after.
 ifeq ($(OS), WINNT)
 OLM_MAJOR_MINOR_SHLIB_EXT := $(SHLIB_EXT)
+LDFLAGS_add += -Wl,--out-implib,libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT).a
 else
 ifeq ($(OS), Darwin)
 OLM_MAJOR_MINOR_SHLIB_EXT := $(SOMAJOR).$(SOMINOR).$(SHLIB_EXT)
@@ -40,7 +42,8 @@
 endif
 endif
 
-.PHONY: all check test clean distclean install
+.PHONY: all check test clean distclean \
+	install install-static install-shared install-pkgconfig install-headers
 
 all: libopenlibm.a libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 
@@ -74,12 +77,21 @@
 	echo "version=${VERSION}" >> openlibm.pc
 	cat openlibm.pc.in >> openlibm.pc
 
-install: all openlibm.pc
+install-static: libopenlibm.a
+	mkdir -p $(DESTDIR)$(libdir)
+	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
+
+install-shared: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 	mkdir -p $(DESTDIR)$(shlibdir)
+	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
+
+install-pkgconfig: openlibm.pc
 	mkdir -p $(DESTDIR)$(pkgconfigdir)
+	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+
+install-headers:
 	mkdir -p $(DESTDIR)$(includedir)/openlibm
-	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
-	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
 	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
 	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
-	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+
+install: install-static install-shared install-pkgconfig install-headers

=== test/Makefile ===
OPENLIBM_HOME=$(abspath ..)
include ../Make.inc

# Set rpath of tests to builddir for loading shared library
OPENLIBM_LIB = -L.. -lopenlibm
ifeq ($(OS),Linux)
OPENLIBM_LIB += -Wl,-rpath=$(OPENLIBM_HOME)
endif

all: test-double test-float # test-double-system test-float-system

bench: bench-syslibm bench-openlibm

test-double: test-double.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $@.c -D__BSD_VISIBLE -I ../include -I../src $(OPENLIBM_LIB) -o $@

test-float: test-float.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $@.c -D__BSD_VISIBLE -I ../include -I../src $(OPENLIBM_LIB) -o $@

test-double-system: test-double.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $< -DSYS_MATH_H -lm -o $@

test-float-system: test-float.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $< -DSYS_MATH_H -lm -o $@

bench-openlibm: libm-bench.cpp
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $< $(OPENLIBM_LIB) -o $@

bench-syslibm: libm-bench.cpp
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add_TARGET_$(ARCH)) $(LDFLAGS) $< -lm -o $@

clean:
	rm -fr test-double test-float test-double-system test-float-system bench-openlibm bench-syslibm *.dSYM

=== debian/changelog ===
openlibm (0.5.4+dfsg-3) unstable; urgency=medium

  * Add support for mips architectures,
    thanks Radovan Birdic (Closes: #852441)

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Jan 2017 20:26:37 +0200

openlibm (0.5.4+dfsg-2) unstable; urgency=medium

  * Fix armhf floating-point status register, thanks Elliot Saba
  * Update Forwarded status in fix-missing-buildflags.patch
  * Mark libopenlibm-dev Multi-Arch: same, as per MultiArch hinter
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Wed, 18 Jan 2017 20:25:14 +0200

openlibm (0.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Sun, 18 Sep 2016 23:15:36 -0400

openlibm (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Peter Colberg <peter@colberg.org>  Fri, 12 Aug 2016 00:04:11 -0400

openlibm (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-inline-of-fpgetprec-on-i386.patch, applied upstream
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sat, 06 Aug 2016 23:06:47 -0400

openlibm (0.5.1+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release (Closes: #803206)
  * Enable parallel build
  * Enable bindnow hardening flag
  * Bump Standards-Version to 3.9.8, no further changes
  * Add myself to Uploaders
  * Add repacksuffix to debian/watch
  * Fix FTBFS on i386 due to missing inline of __fpgetprec

  [ Graham Inggs ]
  * Add arm64 symbols to debian/libopenlibm2.symbols

 -- Peter Colberg <peter@colberg.org>  Wed, 22 Jun 2016 16:42:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
+Uploaders: Graham Inggs <ginggs@debian.org>, Peter Colberg <peter@colberg.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/JuliaLang/openlibm
 Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
@@ -28,6 +28,7 @@
 Package: libopenlibm-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --parallel

## openlibm 0.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,13 @@
 include ./Make.inc
 
 SUBDIRS = src $(ARCH) bsdsrc
-ifneq ($(ARCH), arm)
-ifneq ($(ARCH), powerpc)
+# Add ld80 directory on x86 and x64
+ifneq ($(filter $(ARCH),i387 amd64),)
 SUBDIRS += ld80
+else
+ifneq ($(filter $(ARCH),aarch64),)
+SUBDIRS += ld128
+else
 endif
 endif
 
@@ -68,7 +72,7 @@
 	$(MAKE) -C test test-float
 
 clean:
-	rm -f amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld128/*.o ld80/*.o src/*.o
+	rm -f aarch64/*.o amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld80/*.o ld128/*.o src/*.o powerpc/*.o mips/*.o
 	rm -f libopenlibm.a libopenlibm.*$(SHLIB_EXT)*
 	$(MAKE) -C test clean
 
@@ -79,19 +83,19 @@
 
 install-static: libopenlibm.a
 	mkdir -p $(DESTDIR)$(libdir)
-	cp -f -a libopenlibm.a $(DESTDIR)$(libdir)/
+	cp -RpP -f libopenlibm.a $(DESTDIR)$(libdir)/
 
 install-shared: libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
 	mkdir -p $(DESTDIR)$(shlibdir)
-	cp -f -a libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
+	cp -RpP -f libopenlibm.*$(SHLIB_EXT)* $(DESTDIR)$(shlibdir)/
 
 install-pkgconfig: openlibm.pc
 	mkdir -p $(DESTDIR)$(pkgconfigdir)
-	cp -f -a openlibm.pc $(DESTDIR)$(pkgconfigdir)/
+	cp -RpP -f openlibm.pc $(DESTDIR)$(pkgconfigdir)/
 
 install-headers:
 	mkdir -p $(DESTDIR)$(includedir)/openlibm
-	cp -f -a include/*.h $(DESTDIR)$(includedir)/openlibm
-	cp -f -a src/*.h $(DESTDIR)$(includedir)/openlibm
+	cp -RpP -f include/*.h $(DESTDIR)$(includedir)/openlibm
+	cp -RpP -f src/*.h $(DESTDIR)$(includedir)/openlibm
 
 install: install-static install-shared install-pkgconfig install-headers

=== debian/changelog ===
openlibm (0.6.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: make install needs to know CC (Closes: #912683)

  [ Graham Inggs ]
  * Add support for s390x, thanks Dan Horák
  * Bump Standards-Version to 4.2.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 08 Nov 2018 12:37:11 +0000

openlibm (0.6.0+dfsg-1) unstable; urgency=medium

  [ Peter Colberg ]
  * Update Vcs-* fields for move to salsa.debian.org

  [ Mo Zhou ]
  * New upstream version 0.6.0+dfsg
  * README.Debian: Add note about benchmarking
  * Remove all the patches:
    - Remove fix-missing-buildflags.patch, merged by upstream.
    - Remove kfreebsd-hurd-tests.patch, fixed upstream.
    - Remove fix-armhf-fp-status-register.patch, merged upstream.
    - Remove add-mips-support.patch, merged upstream.
  * Refresh copyright for upstream 0.6.0 release.
  * Add myself to Uploaders.
  * Upstream moved from JuliaLang to JuliaMath.
    + Update control, watch, and copyright accordingly.
  * Bump Standards Version to 4.1.4 .
    + Fix insecure-copyright-format-uri. (3.9.8 -> 4.0.0)
  * Bump debhelper compat level to 11.
    - Remove --parallel flag in favor of debhelper compat 11.
  * tests: Add autopkgtest control file.
  * Refresh symbols control file for arm64.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 21 Jun 2018 09:01:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: openlibm
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>, Peter Colberg <peter@colberg.org>
-Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.8
+Uploaders: Graham Inggs <ginggs@debian.org>,
+           Peter Colberg <peter@colberg.org>,
+           Mo Zhou <cdluminate@gmail.com>,
+Build-Depends: debhelper (>= 11), dh-exec
+Standards-Version: 4.2.1
 Section: libs
-Homepage: https://github.com/JuliaLang/openlibm
-Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openlibm.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openlibm.git
+Homepage: https://github.com/JuliaMath/openlibm
+Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
+Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
 Package: libopenlibm2
 Architecture: any

## openlibm 0.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,13 @@
 .PHONY: all check test clean distclean \
 	install install-static install-shared install-pkgconfig install-headers
 
-all: libopenlibm.a libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
+
+OLM_LIBS := libopenlibm.a
+ifneq ($(ARCH), wasm32)
+OLM_LIBS += libopenlibm.$(OLM_MAJOR_MINOR_SHLIB_EXT)
+endif
+
+all : $(OLM_LIBS)
 
 check test: test/test-double test/test-float
 	test/test-double
@@ -72,7 +78,7 @@
 	$(MAKE) -C test test-float
 
 clean:
-	rm -f aarch64/*.o amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld80/*.o ld128/*.o src/*.o powerpc/*.o mips/*.o
+	rm -f aarch64/*.o amd64/*.o arm/*.o bsdsrc/*.o i387/*.o ld80/*.o ld128/*.o src/*.o powerpc/*.o mips/*.o s390/*.o
 	rm -f libopenlibm.a libopenlibm.*$(SHLIB_EXT)*
 	$(MAKE) -C test clean

=== test/Makefile ===
OPENLIBM_HOME=$(abspath ..)
include ../Make.inc

# Set rpath of tests to builddir for loading shared library
OPENLIBM_LIB = -L.. -lopenlibm
ifneq ($(OS),WINNT)
ifneq ($(OS),Darwin)
OPENLIBM_LIB += -Wl,-rpath=$(OPENLIBM_HOME)
endif
endif

all: test-double test-float # test-double-system test-float-system

bench: bench-syslibm bench-openlibm

test-double: test-double.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $@.c -D__BSD_VISIBLE -I ../include -I../src $(OPENLIBM_LIB) -o $@

test-float: test-float.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $@.c -D__BSD_VISIBLE -I ../include -I../src $(OPENLIBM_LIB) -o $@

test-double-system: test-double.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $< -DSYS_MATH_H -lm -o $@

test-float-system: test-float.c libm-test.c libm-test-ulps.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $< -DSYS_MATH_H -lm -o $@

bench-openlibm: libm-bench.cpp
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $< $(OPENLIBM_LIB) -o $@

bench-syslibm: libm-bench.cpp
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_add) $(LDFLAGS) $(LDFLAGS_arch) $< -lm -o $@

clean:
	rm -fr test-double test-float test-double-system test-float-system bench-openlibm bench-syslibm *.dSYM

=== debian/changelog ===
openlibm (0.7.0+dfsg-2) unstable; urgency=medium

  * Switch to debhelper 13
  * Drop dh-exec, not needed with debhelper 13
  * Add Build-Depends-Package to libopenlibm3.symbols
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 30 Jun 2020 13:26:26 +0000

openlibm (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop add-s390x-support.patch included upstream
  * Update packaging for libopenlibm2 -> libopenlibm3 transition
  * Update symbols control file for armhf
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Dec 2019 09:37:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Peter Colberg <peter@colberg.org>,
            Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/JuliaMath/openlibm
 Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
 Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
-Package: libopenlibm2
+Package: libopenlibm3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -31,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenlibm2 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenlibm3 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used

=== debian/tests/control ===
Test-Command: make -C test test-float; ./test/test-float
Depends: @, build-essential

Test-Command: make -C test test-double; ./test/test-double
Depends: @, build-essential

Test-Command: make -C test bench-syslibm; ./test/bench-syslibm
Depends: @, build-essential
Restrictions: allow-stderr

Test-Command: make -C test bench-openlibm; ./test/bench-openlibm
Depends: @, build-essential
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openlibm-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/JuliaMath/openlibm/tags .*/v?(\d\S*)\.tar\.gz

## openlibm 0.8.1+dfsg

=== debian/changelog ===
openlibm (0.8.1+dfsg-2maysync1) lunar; urgency=medium

  * debian/rules: unset MARCH on build and test. Thanks Andrian Bunk.
    (LP: #2006501)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 07 Feb 2023 12:14:27 -0500

openlibm (0.8.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Jul 2022 12:44:28 -0700

openlibm (0.8.1+dfsg-1) experimental; urgency=medium

  * New upstream version 0.8.1+dfsg
  * Collect symbol changes from arm64 buildd.
  * Collect symbol changes from ppc64el,ppc64,powerpc
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 18 Jun 2022 15:02:59 -0700

openlibm (0.8.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mo Zhou ]
  * New upstream version 0.8.0+dfsg
  * Correct the install prefix. (Closes: #986336)
  * d/control: Update my own email address.
  * Bump libopenlibm SOVERSION from 3 to 4.
  * Update copyright to remove duplicated entries.

 -- Mo Zhou <lumin@debian.org>  Sat, 13 Nov 2021 13:47:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openlibm
 Priority: optional
-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
 Uploaders: Graham Inggs <ginggs@debian.org>,
            Peter Colberg <peter@colberg.org>,
-           Mo Zhou <cdluminate@gmail.com>,
+           Mo Zhou <lumin@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -12,7 +13,7 @@
 Vcs-Git: https://salsa.debian.org/julia-team/openlibm.git
 Vcs-Browser: https://salsa.debian.org/julia-team/openlibm
 
-Package: libopenlibm3
+Package: libopenlibm4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenlibm3 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenlibm4 (= ${binary:Version}), ${misc:Depends}
 Description: standalone implementation of C mathematical functions (development files)
  OpenLibm is an effort to have a high quality, portable, standalone libm
  implementation, under a liberal free software license. It can be used

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- MARCH=""

override_dh_auto_test:
	dh_auto_test -- MARCH=""

override_dh_auto_install:
	dh_auto_install -- "CC=$(CC)" prefix=/usr
